% muxsa-pngaac2mp4(1) Version 1.0 | MUltipleXer for Slides and Audio

NAME
====

**muxsa-pngaac2mp4** — multiplex slides and background narration into a video file

SYNOPSIS
========

| **muxsa-pngaac2mp4** \[**-a** _soundtrack.m4a_] \[**-s** _slides.concat_] \[**-o** _out.mp4_]

DESCRIPTION
===========

**muxsa-pngaac2mp4** is part of muxsa (MUltipleXer for Slides and Audio),
a collection of Linux tools for efficiently creating video files from
presentation slides and background narration.
For an overview on muxsa, see 
[/usr/share/doc/muxsa/howto.txt](/usr/share/doc/muxsa/howto.txt) and
[https://git-nks-public.tik.uni-stuttgart.de/edu/muxsa](https://git-nks-public.tik.uni-stuttgart.de/edu/muxsa).

**muxsa-pngaac2mp4** calls **ffmpeg**(1) with its concat multiplexer.
It reads a series of images in _.png_ file format, typically screenshots
of a slide presentation that were taken with **muxsa-kvm2png**(1),
an audio file in _.m4a_ file format with the narration, typically
recorded with **audacity**(1), and a control file containing the
image file names and timing information, typically generated with
**muxsa-al2fc**(1) from an **audacity**(1) label track.
It produces a video file in _.mp4_ file format.

Options
-------

-a _alternate-soundtrack.m4a_

:   Name of aac/m4a audio file with the background narration.
    Default: _soundtrack.m4a_

-s _alternate-control-file.concat_

:   Name of the ffmpeg concat multiplexer control file, typically
    generated with **muxsa-al2fc**(1).
    Default: _slides.concat_

-o _alternate-output.mp4_

:   Name of the video file in _.mp4_ format to be written.
    Default: _out.mp4_

FILES
=====

*soundtrack.m4a*, *slides.concat*, *out.mp4*

:   Default file names. Description: see Options section.

ENVIRONMENT
===========

(none)

BUGS
====

See: <https://git-nks-public.tik.uni-stuttgart.de/edu/muxsa/issues>

AUTHOR
======

Sebastian Kiesel <sebastian.kiesel@tik.uni-stuttgart.de>

SEE ALSO
========

**muxsa-al2fc(1)**, **muxsa-kvm2png(1)**
